# Method: apprecovery.create

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#body.aspect)
- [RemoteInAppUpdate](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#RemoteInAppUpdate)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#RemoteInAppUpdate.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#try-it)

Create an app recovery action with recovery status as DRAFT. Note that this action does not execute the recovery action.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/appRecoveries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. Package name of the app on which recovery action is performed. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "targeting": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Targeting`) }, // Union field `recovery_action` can be only one of the following: "remoteInAppUpdate": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#RemoteInAppUpdate`) } // End of list of possible types for union field `recovery_action`. } ``` |

| Fields ||
|---|---|
| `targeting` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/Targeting`)`` Specifies targeting criteria for the recovery action such as regions, android sdk versions, app versions etc. |
| Union field `recovery_action`. Type of app recovery action to be performed. Required. `recovery_action` can be only one of the following: ||
| `remoteInAppUpdate` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/apprecovery/create#RemoteInAppUpdate`)`` Action type is remote in-app update. As a consequence of this action, a downloadable recovery module is also created for testing purposes. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/AppRecoveryAction`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## RemoteInAppUpdate

Object representation for Remote in-app update action type.

| JSON representation |
|---|
| ``` { "isRemoteInAppUpdateRequested": boolean } ``` |

| Fields ||
|---|---|
| `isRemoteInAppUpdateRequested` | `boolean` Required. Set to true if Remote In-App Update action type is needed. |